import { createClient } from "@supabase/supabase-js";
import { defu } from "defu";
import { useSupabaseToken } from "./useSupabaseToken.mjs";
import { useRuntimeConfig, useNuxtApp } from "#imports";
export const useSupabaseClient = () => {
  const nuxtApp = useNuxtApp();
  const token = useSupabaseToken();
  const { supabase: { url, key, client: clientOptions } } = useRuntimeConfig().public;
  const options = defu(clientOptions, { global: { headers: { Authorization: `Bearer ${token.value}` } } });
  if (!nuxtApp._supabaseClient) {
    nuxtApp._supabaseClient = createClient(url, key, options);
  }
  return nuxtApp._supabaseClient;
};
